const { ccclass } = cc._decorator;

@ccclass
export default class auto_guideView extends cc.Component {
	guideView: cc.Node;
	gGuide: cc.Node;
	dialog: cc.Node;
	imgRole1: cc.Node;
	dialogBg: cc.Node;
	XiaoShiMeiBot: cc.Node;
	txtName: cc.Node;
	txtDialog: cc.Node;
	NextJianTou: cc.Node;
	mask: cc.Node;
	mask2: cc.Node;
	msgBg: cc.Node;
	maskRole: cc.Node;
	imgRole2: cc.Node;
	jiantou: cc.Node;
	txtMsg: cc.Node;
	btnMask: cc.Node;
	imgQuan: cc.Node;
	imgHand: cc.Node;
	plot: cc.Node;
	ImgBg: cc.Node;
	plotSpine: cc.Node;
	public static URL: string = "db://assets/bundle/guide/guideView.prefab"

	onLoad() {
		this.guideView = this.node
		this.gGuide = this.guideView.getChildByName("gGuide");
		this.dialog = this.gGuide.getChildByName("dialog");
		this.imgRole1 = this.dialog.getChildByName("imgRole1");
		this.dialogBg = this.dialog.getChildByName("dialogBg");
		this.XiaoShiMeiBot = this.dialogBg.getChildByName("XiaoShiMeiBot");
		this.txtName = this.XiaoShiMeiBot.getChildByName("txtName");
		this.txtDialog = this.dialogBg.getChildByName("txtDialog");
		this.NextJianTou = this.dialogBg.getChildByName("NextJianTou");
		this.mask = this.gGuide.getChildByName("mask");
		this.mask2 = this.mask.getChildByName("mask2");
		this.msgBg = this.gGuide.getChildByName("msgBg");
		this.maskRole = this.msgBg.getChildByName("maskRole");
		this.imgRole2 = this.maskRole.getChildByName("imgRole2");
		this.jiantou = this.msgBg.getChildByName("jiantou");
		this.txtMsg = this.msgBg.getChildByName("txtMsg");
		this.btnMask = this.gGuide.getChildByName("btnMask");
		this.imgQuan = this.gGuide.getChildByName("imgQuan");
		this.imgHand = this.gGuide.getChildByName("imgHand");
		this.plot = this.gGuide.getChildByName("plot");
		this.ImgBg = this.plot.getChildByName("ImgBg");
		this.plotSpine = this.plot.getChildByName("plotSpine");
	}
}
